diff --git a/isisd/isis_tlvs.c b/isisd/isis_tlvs.c
index 6e03b2f6890d..7cab98df579d 100644
--- a/isisd/isis_tlvs.c
+++ b/isisd/isis_tlvs.c
@@ -5973,6 +5973,12 @@ static void format_subsubtlv_srv6_sid_structure(
 	}
 }
 
+static void free_subsubtlv_srv6_sid_structure(
+	struct isis_srv6_sid_structure_subsubtlv *sid_struct)
+{
+	XFREE(MTYPE_ISIS_SUBSUBTLV, sid_struct);
+}
+
 /* Functions related to tlvs in general */
 
 struct isis_tlvs *isis_alloc_tlvs(void)
